Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT

## com.google.gwt.core.client.js
Annotation Type JsExport

    @Retention(value=RUNTIME)
    @Target(value={CONSTRUCTOR,METHOD,FIELD,TYPE})
    @Documented
    public @interface JsExport

JsExport marks a constructor, static method, or static field as creating a an unobfuscated alias in the global scope. JsExport acts as an entry-point from the standpoint of the optimizer, and all code reachable from an exported method is also considered live, so use with care.

Optional Element Summary
`java.lang.String` | `value`

### value

    public abstract java.lang.String value

  Default:
    ""

Overview | Package | Class | Use | Deprecated | Help
| GWT 2.7.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: REQUIRED | OPTIONAL | DETAIL: ELEMENT